﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


using Infragistics.Controls.Maps;
using Infragistics.Controls;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        MapLayer WorldLayer;
        public MainWindow()
        {
            InitializeComponent();
            WorldLayer = new MapLayer();
            ShapeFileReader reader = new ShapeFileReader();
            reader.Uri = "/Shapefiles/world";
            WorldLayer.Reader = reader;
            xamMap1.Layers.Add(WorldLayer);
            MapNavigationPane navPane = new MapNavigationPane();
            navPane.SetValue(XamDock.EdgeProperty, DockEdge.InsideRight);
            navPane.Margin = new Thickness(10);
            xamMap1.LogicalChildren.Add(navPane);
        //   DataMapping.Converter converter = new DataMapping.Converter();
        //   reader.DataMapping = converter.ConvertFromString("Caption=CNTRY_NAME") as DataMapping;

        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
          /*
            foreach (MapElement ele in WorldLayer.Elements)
            {
                double pop = (double)ele.GetProperty("POP_CNTRY");
                ele.Caption = String.Format("{0:0,0.0}", pop);
            }
           */
            Random R = new Random();
            foreach (MapElement ele in WorldLayer.Elements)
            {
                ele.SetProperty("MyData", R.NextDouble());
                ele.Caption = ele.GetProperty("MyData").ToString();
            }

            Point origin = xamMap1.MapProjection.ProjectToMap(new Point(0, 0));
            SymbolElement element = new SymbolElement()
            {
                SymbolOrigin = origin,
                Caption = "Centre of the world",
                SymbolType = MapSymbolType.Diamond,
                SymbolSize = 20
            };
            xamMap1.Layers[0].Elements.Add(element);
        }
    }
}
